- name: Install Samba
  apt:
    name: samba
    state: present

- name: Ensure smbd is running & enabled.
  service:
    name: smbd
    state: started
    enabled: true

- name: Create family account for share access
  user:
    name: lambroek
    state: present
    create_home: false
    groups:
      - data
    password: "{{ lambroek_password | password_hash('sha512') }}"
    shell: /sbin/nologin
  notify: smbpasswd-lambroek

- name: Ensure Jef share directory is present
  ansible.builtin.file:
    path: '/mnt/data1/jef'
    state: 'directory'
    mode: '0775'
    owner: 'debian'
    group: 'data'

- name: Copy over smb config file
  copy:
    src: smb.conf
    dest: /etc/samba/smb.conf
    owner: root
    group: root
    mode: '644'
  notify: restart-smbd
